#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Red

#property indicator_level1 20
#property indicator_level2 50
#property indicator_level3 80

extern int RSI_Period = 14;
extern int MA_Period = 9;

double RSI_Buffer[], MA_Buffer[];

int init()
{
   string short_name;
   IndicatorBuffers(2);
   SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(0, RSI_Buffer);
   SetIndexBuffer(1, MA_Buffer);

   short_name="RSI Average("+RSI_Period+" "+MA_Period+")";
   IndicatorShortName(short_name);
   SetIndexLabel(0, short_name);
   SetIndexDrawBegin(0, RSI_Period);
   SetIndexDrawBegin(1, RSI_Period + MA_Period);
   
   return(0);
}

int start()
{
   int i, RSI_Count = ArraySize(RSI_Buffer), MA_Count = ArraySize(MA_Buffer);
   
   for (i = 0; i < RSI_Count; i++)
   {
      RSI_Buffer[i] = iRSI(NULL, 0, RSI_Period, PRICE_CLOSE, i);
   }
   
   for (i = 0; i < MA_Count; i++)
   {
      MA_Buffer[i] = iMAOnArray(RSI_Buffer, 0, MA_Period, 0, MODE_SMA, i);
   }
   
   return(0);
}